In the dm7install.pdf for Installing ZEN 7...there is a section that deals with Upgrading Workstations on page 426. In the bulleted procedures, there is one that seems rather vague:

The version of the agent that shipped with ZENworks for Desktops 4.0 (setup.exe) is no
longer supported. Prior to upgrading a ZENworks for Desktops 4.0 Agent to the ZENworks 7
Desktop Management Agent (or the ZENworks 7 with SP1 Desktop Management Agent), you
should replace this older version of the agent with the version of the agent shipping with the
ZENworks 6 Suite (ZENworks for Desktops 4.0.1/SP1b) or later.

Is this saying that the ZEN 4 agents cannot talk back to a ZEN 7 server?